Package: org.grails.compiler.injection

## [Groovy] Class ApplicationClassInjector

- org.grails.compiler.injection.ApplicationClassInjector

- All Implemented Interfaces and Traits:
    GrailsArtefactClassInjector

      @groovy.transform.CompileStatic
      @AstTransformer
      class ApplicationClassInjector
      extends java.lang.Object
      implements GrailsArtefactClassInjector

  Injector for the 'Application' class

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `EXCLUDED_AUTO_CONFIGURE_CLASSES` |
    `static java.lang.String` | `EXCLUDE_MEMBER` |
    `private ApplicationArtefactHandler` | `applicationArtefactHandler` |
    `private static java.util.List<java.lang.Integer>` | `transformedInstances` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ApplicationArtefactHandler` | `applicationArtefactHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationClassInjector ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String[]` | `getArtefactTypes()`
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.util.List<java.lang.String> EXCLUDED_AUTO_CONFIGURE_CLASSES

    - #### public static final java.lang.String EXCLUDE_MEMBER

    - #### private ApplicationArtefactHandler applicationArtefactHandler

    - #### private static final java.util.List<java.lang.Integer> transformedInstances

  - ### Property Detail

    - #### ApplicationArtefactHandler applicationArtefactHandler

  - ### Constructor Detail

    - #### ApplicationClassInjector()

  - ### Method Detail

    - #### @java.lang.Override java.lang.String[] getArtefactTypes()

    - #### @java.lang.Override void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override @groovy.transform.CompileDynamic void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override boolean shouldInject(java.net.URL url)